Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7259 - RFE: old queries used different format, update to new
Summary: RFE: old queries used different format, update to new
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 2.1r
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-23 17:06 UTC by David Lawrence
Modified: 2007-04-18 16:24 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-12-16 18:22:51 UTC


Attachments (Terms of Use)

Description David Lawrence 1999-11-23 17:06:27 UTC
Old queries store email searches in assigned_to= and reporter= format. When
loading in a stored query, the new query.cgi does not place the information
anymore, but if you run the stored query directly it works fine because
buglist.cgi converts into assigned_to and reporter format anyway. The new
format is email1=, emailtype1=, and emailassigned_to1=.

Two solutions would be either hack query.cgi to do the conversion from old
style into the new for displaying and making some sort of note for the user
to reupdate their query, or make a script to update the database and change
all occurances of the old to the new for everyone.

The last would be the best way since the code needs to stay as close as
possible to the main mozilla bugzilla source.

Comment 1 Maxwell Kanat-Alexander 2003-12-16 18:18:07 UTC
I have a suspicion that this is NOTABUG anymore... :-)

-Max

Comment 2 David Lawrence 2003-12-16 18:22:51 UTC
Probably right.


Note You need to log in before you can comment on or make changes to this bug.